Page MenuHomeFreeBSD

Only log dropped packets with IP options if log is enabled on rule
ClosedPublic

Authored by garga on Jul 27 2015, 7:46 PM.
Tags
None
Referenced Files
Unknown Object (File)
Apr 28 2017, 8:20 PM
Unknown Object (File)
Mar 25 2017, 6:28 PM
Unknown Object (File)
Mar 20 2017, 12:45 AM
Unknown Object (File)
Dec 19 2016, 4:05 AM
Unknown Object (File)
Dec 8 2016, 5:49 AM
Unknown Object (File)
Nov 4 2016, 7:51 PM
Unknown Object (File)
Sep 4 2016, 6:57 PM
Unknown Object (File)
Aug 28 2016, 2:58 PM
Subscribers

Details

Summary

Do not log all packets with IP otions set, respect rule's log option

Reference: https://redmine.pfsense.org/issues/4383

MFC after: 3 days

Obtained from: pfSense
Sponsored by: Netgate

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

garga retitled this revision from to Only log dropped packets with IP options if log is enabled on rule.
garga updated this object.
garga edited the test plan for this revision. (Show Details)
garga added reviewers: eri, gnn.
garga set the repository for this revision to rS FreeBSD src repository - subversion.
gnn edited edge metadata.

Please mark with

Approved by: gnn

This revision is now accepted and ready to land.Jul 27 2015, 9:58 PM
eri edited edge metadata.

Since i wrote it!

This revision was automatically updated to reflect the committed changes.